/*******************************************************************************
 * Copyright (c) 2003, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package test;

import java.util.Random;

import junit.extensions.RepeatedTest;

import junit.framework.Test;

import org.eclipse.hyades.test.common.junit.DefaultTestArbiter;
import org.eclipse.hyades.test.common.junit.HyadesTestCase;
import org.eclipse.hyades.test.common.junit.HyadesTestSuite;

import org.eclipse.hyades.test.http.runner.HttpCookieCache;
import org.eclipse.hyades.test.http.runner.HttpExecutor;
import org.eclipse.hyades.test.http.runner.HttpHeader;
import org.eclipse.hyades.test.http.runner.HttpRequest;
import org.eclipse.hyades.test.http.runner.HttpResponse;

import org.eclipse.hyades.test.http.runner.internal.util.HttpTestUtil;

/**
 * Generated code for the test suite <b>eclipseTest</b> located at
 * <i>/misc/testsuites/eclipseTest.testsuite</i>.
 */
public class EclipseTest extends HyadesTestCase {
	/**
	 * Constructor for EclipseTest.
	 * @param name
	 */
	public EclipseTest(String name) {
		super(name);
	}

	/**
	 * Returns the JUnit test suite that implements the <b>eclipseTest</b>
	 * definition.
	 */
	public static Test suite() {
		HyadesTestSuite eclipsetest = new HyadesTestSuite("eclipseTest");
		eclipsetest.setArbiter(DefaultTestArbiter.INSTANCE).setId(
				"D49BB09BA38EA928BA0A1F50B5A011D8");

		HyadesTestSuite loop1 = new HyadesTestSuite("Loop 1");
		eclipsetest.addTest(new RepeatedTest(loop1, 1));
		loop1.setId("D49BB09BA38EA928BA0EB330B5A011D8");

		HyadesTestSuite pagewww_eclipse_org_ = new HyadesTestSuite(
				"Page www.eclipse.org/");
		loop1.addTest(new RepeatedTest(pagewww_eclipse_org_, 1));
		pagewww_eclipse_org_.setId("D49BB09BA38EA928BA2A2A70B5A011D8");

		pagewww_eclipse_org_.addTest(new EclipseTest("c1getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA2A2A73B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA2BB112B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c2getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA2D37BCB5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA2D37BFB5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c3getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA2D37D4B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA2D37D7B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c4getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA2D37ECB5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA2D37EFB5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c5getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA2D3804B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA2EE561B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c6getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA2EE576B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA306C01B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c7getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA306C16B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA31F2A0B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c8getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA31F2B5B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA337941B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c9getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA337956B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA337959B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c10getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA33796EB5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA337971B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c11getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA337986B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA3FAE41B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c12getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA3FAE56B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA42BB81B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c13getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA42BB96B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA444221B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c14getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA444236B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA45C8C1B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c15getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA45C8D6B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA538461B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c16getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA538476B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA550B01B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c17getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA5691ACB5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA5691AFB5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c18getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA5691C4B5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA5691C7B5A011D8"));

		pagewww_eclipse_org_.addTest(new EclipseTest("c19getwww_eclipse_org")
				.setId("D49BB09BA38EA928BA5691DCB5A011D8").setTestInvocationId(
						"D49BB09BA38EA928BA581841B5A011D8"));

		HyadesTestSuite pagewww_eclipse_org_projects_images_c_gif = new HyadesTestSuite(
				"Page www.eclipse.org/projects/images/c.gif");
		loop1.addTest(new RepeatedTest(
				pagewww_eclipse_org_projects_images_c_gif, 1));
		pagewww_eclipse_org_projects_images_c_gif
				.setId("D49BB09BA38EA928BA581856B5A011D8");

		pagewww_eclipse_org_projects_images_c_gif.addTest(new EclipseTest(
				"c20getwww_eclipse_org").setId(
				"D49BB09BA38EA928BA599EE0B5A011D8").setTestInvocationId(
				"D49BB09BA38EA928BA599EE3B5A011D8"));

		pagewww_eclipse_org_projects_images_c_gif.addTest(new EclipseTest(
				"c21getwww_eclipse_org").setId(
				"D49BB09BA38EA928BA599EF6B5A011D8").setTestInvocationId(
				"D49BB09BA38EA928BA599EF9B5A011D8"));

		HyadesTestSuite pagewww_eclipse_org_hyades = new HyadesTestSuite(
				"Page www.eclipse.org/hyades");
		loop1.addTest(new RepeatedTest(pagewww_eclipse_org_hyades, 1));
		pagewww_eclipse_org_hyades.setId("D49BB09BA38EA928BA5B2580B5A011D8");

		pagewww_eclipse_org_hyades.addTest(new EclipseTest(
				"c22getwww_eclipse_org").setId(
				"D49BB09BA38EA928BA5B2583B5A011D8").setTestInvocationId(
				"D49BB09BA38EA928BA5E32C1B5A011D8"));

		pagewww_eclipse_org_hyades.addTest(new EclipseTest(
				"c23getwww_eclipse_org").setId(
				"D49BB09BA38EA928BA5FB961B5A011D8").setTestInvocationId(
				"D49BB09BA38EA928BA5FB964B5A011D8"));

		HyadesTestSuite pagewww_eclipse_org_projects_images_c_gif1 = new HyadesTestSuite(
				"Page www.eclipse.org/projects/images/c.gif");
		loop1.addTest(new RepeatedTest(
				pagewww_eclipse_org_projects_images_c_gif1, 1));
		pagewww_eclipse_org_projects_images_c_gif1
				.setId("D49BB09BA38EA928BA5FB979B5A011D8");

		pagewww_eclipse_org_projects_images_c_gif1.addTest(new EclipseTest(
				"c24getwww_eclipse_org").setId(
				"D49BB09BA38EA928BA5FB97CB5A011D8").setTestInvocationId(
				"D49BB09BA38EA928BA5FB97FB5A011D8"));

		HyadesTestSuite pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_main_html = new HyadesTestSuite(
				"Page dev.eclipse.org/viewcvs/indextools.cgi/~checkout~/hyades-home/main.html");
		loop1
				.addTest(new RepeatedTest(
						pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_main_html,
						1));
		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_main_html
				.setId("D49BB09BA38EA928BA614012B5A011D8");

		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_main_html
				.addTest(new EclipseTest("c25getdev_eclipse_org")
						.setId("D49BB09BA38EA928BA614015B5A011D8")
						.setTestInvocationId("D49BB09BA38EA928BA62C6A1B5A011D8"));

		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_main_html
				.addTest(new EclipseTest("c26getdev_eclipse_org")
						.setId("D49BB09BA38EA928BA62C6B4B5A011D8")
						.setTestInvocationId("D49BB09BA38EA928BA644D41B5A011D8"));

		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_main_html
				.addTest(new EclipseTest("c27getdev_eclipse_org")
						.setId("D49BB09BA38EA928BA644D54B5A011D8")
						.setTestInvocationId("D49BB09BA38EA928BA644D57B5A011D8"));

		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_main_html
				.addTest(new EclipseTest("c28getdev_eclipse_org")
						.setId("D49BB09BA38EA928BA644D6AB5A011D8")
						.setTestInvocationId("D49BB09BA38EA928BA65D3E1B5A011D8"));

		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_main_html
				.addTest(new EclipseTest("c29getdev_eclipse_org")
						.setId("D49BB09BA38EA928BA65D3F4B5A011D8")
						.setTestInvocationId("D49BB09BA38EA928BA675A80B5A011D8"));

		HyadesTestSuite pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_downloads_download_html = new HyadesTestSuite(
				"Page dev.eclipse.org/viewcvs/indextools.cgi/~checkout~/hyades-home/downloads/download.html");
		loop1
				.addTest(new RepeatedTest(
						pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_downloads_download_html,
						1));
		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_downloads_download_html
				.setId("D49BB09BA38EA928BA675A93B5A011D8");

		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_downloads_download_html
				.addTest(new EclipseTest("c30getdev_eclipse_org")
						.setId("D49BB09BA38EA928BA675A96B5A011D8")
						.setTestInvocationId("D49BB09BA38EA928BA68E121B5A011D8"));

		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_downloads_download_html
				.addTest(new EclipseTest("c31getdev_eclipse_org")
						.setId("D49BB09BA38EA928BA68E134B5A011D8")
						.setTestInvocationId("D49BB09BA38EA928BA6A67C1B5A011D8"));

		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_downloads_download_html
				.addTest(new EclipseTest("c32getdev_eclipse_org")
						.setId("D49BB09BA38EA928BA6A67D6B5A011D8")
						.setTestInvocationId("D49BB09BA38EA928BA6A67D9B5A011D8"));

		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_downloads_download_html
				.addTest(new EclipseTest("c33getdev_eclipse_org")
						.setId("D49BB09BA38EA928BA6BEE6EB5A011D8")
						.setTestInvocationId("D49BB09BA38EA928BA6BEE71B5A011D8"));

		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_downloads_download_html
				.addTest(new EclipseTest("c34getdev_eclipse_org")
						.setId("D49BB09BA38EA928BA6BEE84B5A011D8")
						.setTestInvocationId("D49BB09BA38EA928BA6BEE87B5A011D8"));

		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_downloads_download_html
				.addTest(new EclipseTest("c35getdev_eclipse_org")
						.setId("D49BB09BA38EA928BA6D750BB5A011D8")
						.setTestInvocationId("D49BB09BA38EA928BA6D750EB5A011D8"));

		pagedev_eclipse_org_viewcvs_indextools_cgi__checkout__hyades_home_downloads_download_html
				.addTest(new EclipseTest("c36getdev_eclipse_org")
						.setId("D49BB09BA38EA928BA6D7521B5A011D8")
						.setTestInvocationId("D49BB09BA38EA928BA6D7524B5A011D8"));

		return eclipsetest;
	}

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
	}

	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
	}

	/**
	 * 1 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c1getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_START);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Mon, 23 Jun 2003 23:19:51 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"68012-3f5-b617b3c0\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 2 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c2getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setThinkTime(calcThinkTime(20, 10));
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/banner.html");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Thu, 25 Oct 2001 23:32:16 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"6800a-4b2-3eaa4000\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 3 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c3getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/home_nav.html");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Mon, 02 Feb 2004 22:34:58 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"68005-a8c-3207c880\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 4 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c4getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setThinkTime(calcThinkTime(20, 10));
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/nav_style.css");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/home_nav.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Mon, 06 May 2002 14:18:50 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"68006-47a-2ce4680\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 5 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c5getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/main.html");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Wed, 02 Jun 2004 12:10:58 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"6801f-42be-953b1880\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 6 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c6getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/images/EclipseBannerPic.jpg");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/banner.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Mon, 06 May 2002 14:18:45 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"98004-2cf3-281fb40\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 7 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c7getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/images/gradient.jpg");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/home_nav.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Mon, 06 May 2002 14:18:52 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"98006-55-2eccb00\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 8 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c8getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/images/eclipse-org-simple-small.GIF");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/banner.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Thu, 25 Oct 2001 01:24:36 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"98008-389-b28f1d00\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 9 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c9getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/images/gradient.jpg");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/banner.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Mon, 06 May 2002 14:18:46 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"98012-1134-2913d80\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 10 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c10getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/default_style.css");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Fri, 06 Sep 2002 14:45:12 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"68004-5e8-b794ce00\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 11 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c11getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/images/Idea.jpg");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Fri, 06 Sep 2002 14:45:15 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"98005-13ee-b7c294c0\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 12 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c12getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/images/Adarrow.gif");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Thu, 25 Oct 2001 01:23:24 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"98003-359-ae447b00\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 13 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c13getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/projects/index.html");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/home_nav.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Wed, 05 Dec 2001 13:26:36 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"854002-38d-90203b00\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 14 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c14getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/projects/main.html");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/projects/index.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Tue, 27 Apr 2004 19:41:13 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"854003-1544-ad29c840\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 15 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c15getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/tools/index.html");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/projects/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Fri, 21 Nov 2003 00:43:59 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"878003-501-5f2c51c0\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 16 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c16getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/eproject-banner.html");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/tools/index.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Fri, 13 Sep 2002 14:30:17 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"6800c-4a9-531fd040\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 17 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c17getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/tools/nav.html");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/tools/index.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Fri, 21 Nov 2003 00:43:59 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"878005-b43-5f2c51c0\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 18 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c18getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/tools/main.html");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/tools/index.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Fri, 21 Nov 2003 00:43:59 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"878004-2e6a-5f2c51c0\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 19 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c19getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/images/eproject-simple.GIF");
		request.setPageNumber(1);
		request.setPageOrder(HttpRequest.PAGE_END);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/eproject-banner.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Thu, 25 Oct 2001 01:23:53 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"9800e-6d5-affefc40\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 20 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c20getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setThinkTime(calcThinkTime(30, 10));
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/images/gradient.jpg");
		request.setPageNumber(2);
		request.setPageOrder(HttpRequest.PAGE_START);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/tools/nav.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 21 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c21getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/images/new.gif");
		request.setPageNumber(2);
		request.setPageOrder(HttpRequest.PAGE_END);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/tools/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Wed, 19 Dec 2001 15:34:27 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"98016-aa-fb21a6c0\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 22 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c22getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/hyades");
		request.setPageNumber(3);
		request.setPageOrder(HttpRequest.PAGE_START);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/tools/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 23 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c23getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/hyades/");
		request.setPageNumber(3);
		request.setPageOrder(HttpRequest.PAGE_END);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/tools/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Fri, 14 Feb 2003 21:17:40 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"7b8002-555-f79a2500\"");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 24 GET www.eclipse.org
	 * @throws Exception
	 */
	public void c24getwww_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("www.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/images/gradient.jpg");
		request.setPageNumber(4);
		request.setPageOrder(HttpRequest.PAGE_ONLY);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/tools/nav.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("www.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 25 GET dev.eclipse.org
	 * @throws Exception
	 */
	public void c25getdev_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("dev.eclipse.org");
		request.setPort(80);
		request
				.setAbsolutePath("/viewcvs/indextools.cgi/~checkout~/hyades-home/main.html");
		request.setPageNumber(5);
		request.setPageOrder(HttpRequest.PAGE_START);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header.setValue("http://www.eclipse.org/hyades/");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("dev.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 26 GET dev.eclipse.org
	 * @throws Exception
	 */
	public void c26getdev_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("dev.eclipse.org");
		request.setPort(80);
		request
				.setAbsolutePath("/viewcvs/indextools.cgi/~checkout~/hyades-home/images/Hyades300.jpg");
		request.setPageNumber(5);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header
				.setValue("http://dev.eclipse.org/viewcvs/indextools.cgi/~checkout~/hyades-home/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("dev.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 27 GET dev.eclipse.org
	 * @throws Exception
	 */
	public void c27getdev_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("dev.eclipse.org");
		request.setPort(80);
		request
				.setAbsolutePath("/viewcvs/indextools.cgi/~checkout~/hyades-home/images/faq.gif");
		request.setPageNumber(5);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header
				.setValue("http://dev.eclipse.org/viewcvs/indextools.cgi/~checkout~/hyades-home/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("dev.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 28 GET dev.eclipse.org
	 * @throws Exception
	 */
	public void c28getdev_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("dev.eclipse.org");
		request.setPort(80);
		request
				.setAbsolutePath("/viewcvs/indextools.cgi/~checkout~/hyades-home/images/news.gif");
		request.setPageNumber(5);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header
				.setValue("http://dev.eclipse.org/viewcvs/indextools.cgi/~checkout~/hyades-home/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("dev.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 29 GET dev.eclipse.org
	 * @throws Exception
	 */
	public void c29getdev_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("dev.eclipse.org");
		request.setPort(80);
		request
				.setAbsolutePath("/viewcvs/indextools.cgi/~checkout~/hyades-home/images/mail.gif");
		request.setPageNumber(5);
		request.setPageOrder(HttpRequest.PAGE_END);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header
				.setValue("http://dev.eclipse.org/viewcvs/indextools.cgi/~checkout~/hyades-home/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("dev.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 30 GET dev.eclipse.org
	 * @throws Exception
	 */
	public void c30getdev_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setThinkTime(calcThinkTime(3145, 10));
		request.setVersion("1.1");
		request.setHost("dev.eclipse.org");
		request.setPort(80);
		request
				.setAbsolutePath("/viewcvs/indextools.cgi/~checkout~/hyades-home/downloads/download.html");
		request.setPageNumber(6);
		request.setPageOrder(HttpRequest.PAGE_START);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header
				.setValue("image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application/vnd.ms-powerpoint, application/vnd.ms-excel, application/msword, application/x-shockwave-flash, */*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header
				.setValue("http://dev.eclipse.org/viewcvs/indextools.cgi/~checkout~/hyades-home/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("dev.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 31 GET dev.eclipse.org
	 * @throws Exception
	 */
	public void c31getdev_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("dev.eclipse.org");
		request.setPort(80);
		request.setAbsolutePath("/default_style.css");
		request.setPageNumber(6);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header
				.setValue("http://dev.eclipse.org/viewcvs/indextools.cgi/~checkout~/hyades-home/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-Modified-Since");
		header.setValue("Mon, 05 Nov 2001 23:31:58 GMT");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("If-None-Match");
		header.setValue("\"2fe9c-39a-85d8b780\"");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("dev.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 32 GET dev.eclipse.org
	 * @throws Exception
	 */
	public void c32getdev_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("dev.eclipse.org");
		request.setPort(80);
		request
				.setAbsolutePath("/viewcvs/indextools.cgi/~checkout~/hyades-home/images/download.gif");
		request.setPageNumber(6);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header
				.setValue("http://dev.eclipse.org/viewcvs/indextools.cgi/~checkout~/hyades-home/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("dev.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 33 GET dev.eclipse.org
	 * @throws Exception
	 */
	public void c33getdev_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("dev.eclipse.org");
		request.setPort(80);
		request
				.setAbsolutePath("/viewcvs/indextools.cgi/~checkout~/hyades-home/images/bugzilla.gif");
		request.setPageNumber(6);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header
				.setValue("http://dev.eclipse.org/viewcvs/indextools.cgi/~checkout~/hyades-home/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("dev.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 34 GET dev.eclipse.org
	 * @throws Exception
	 */
	public void c34getdev_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("dev.eclipse.org");
		request.setPort(80);
		request
				.setAbsolutePath("/viewcvs/indextools.cgi/~checkout~/hyades-home/images/reference.gif");
		request.setPageNumber(6);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header
				.setValue("http://dev.eclipse.org/viewcvs/indextools.cgi/~checkout~/hyades-home/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("dev.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 35 GET dev.eclipse.org
	 * @throws Exception
	 */
	public void c35getdev_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("dev.eclipse.org");
		request.setPort(80);
		request
				.setAbsolutePath("/viewcvs/indextools.cgi/~checkout~/hyades-home/images/cvs.gif");
		request.setPageNumber(6);
		request.setPageOrder(HttpRequest.PAGE_MID);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header
				.setValue("http://dev.eclipse.org/viewcvs/indextools.cgi/~checkout~/hyades-home/main.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("dev.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}

	/**
	 * 36 GET dev.eclipse.org
	 * @throws Exception
	 */
	public void c36getdev_eclipse_org() throws Exception {
		HttpRequest request = new HttpRequest();
		request.setMethod("GET");
		request.setVersion("1.1");
		request.setHost("dev.eclipse.org");
		request.setPort(80);
		request
				.setAbsolutePath("/viewcvs/indextools.cgi/~checkout~/hyades-home/images/download.gif");
		request.setPageNumber(6);
		request.setPageOrder(HttpRequest.PAGE_END);
		request.setSecure(false);

		HttpHeader header;
		header = new HttpHeader();
		header.setName("Accept");
		header.setValue("*/*");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Referer");
		header
				.setValue("http://dev.eclipse.org/viewcvs/indextools.cgi/~checkout~/hyades-home/downloads/download.html");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Language");
		header.setValue("en-us");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Accept-Encoding");
		header.setValue("gzip, deflate");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("User-Agent");
		header.setValue("Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Host");
		header.setValue("dev.eclipse.org");
		request.addHeader(header);

		header = new HttpHeader();
		header.setName("Connection");
		header.setValue("Keep-Alive");
		request.addHeader(header);

		executeRequest(request);
	}
	/*********************
	 *  Member variables *
	 *********************/
	static protected HttpCookieCache[] m_httpCookieCache;
	static protected HttpExecutor[] m_httpExecutor;
	protected Random rand = new Random();

	/*********************
	 *    Extra Methods  *
	 *********************/
	public void populateCookieCache(HttpCookieCache cookies) {
		//By default, the cookie cache is created empty.  To add new cookies, use the following
		//cookies.AddCookie(name, value, domain, path, expires, bSecure);
	}

	protected void executeRequest(HttpRequest request) throws Exception {
		if (m_httpExecutor == null || m_httpCookieCache == null)
			initializeTest();

		int nUser = HttpTestUtil.getCurrentUser(this);
		m_httpCookieCache[nUser].DynamicGetCookie(request);
		HttpResponse response = m_httpExecutor[nUser].execute(request);

		String text = "rc=" + Integer.toString(response.getCode());
		if (response.getDetail() != null)
			text = "\n\n" + response.getDetail();

		//If (response.getCode() < 0) then there was an error when executing the request
		if (response.getCode() < 0)
			throw new Exception(text);

		try {
			m_httpCookieCache[nUser].DynamicSetCookie(request, response);
		} catch (Exception e) {
		}

		//If (response.getCode() < 400) then the request has failed.
		assertTrue(text, response.getCode() < 400 && response.getCode() > 0);
	}

	synchronized protected void initializeTest() {
		int nTotal = HttpTestUtil.getTotalUsers(this);
		if (m_httpCookieCache == null) {
			m_httpCookieCache = new HttpCookieCache[nTotal];
			for (int i = 0; i < nTotal; i++) {
				m_httpCookieCache[i] = new HttpCookieCache();
				populateCookieCache(m_httpCookieCache[i]);
			}

		}
		if (m_httpExecutor == null) {
			m_httpExecutor = new HttpExecutor[nTotal];
			for (int i = 0; i < nTotal; i++) {
				m_httpExecutor[i] = new HttpExecutor();
			}
		}
	}

	protected long calcThinkTime(long think, int var) {
		if (var > 0 && var <= 99) {
			long delta = think * var / 100;
			if (delta <= 0)
				delta = 1;
			think += (rand.nextInt((int) delta * 2) - delta);
		}
		return think;
	}
}